Get workfloo by ID

To get the data for a workfloo executed

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Intro

With this API you can retrieve the complete information of an executed workfloo.

Important Points

Path Parameters

workflooId
Is necessary to send the workflooId to recover the specific request data.

Response
If you provide an Id that does not exist, as a wrong response you will receive an HTTP code 404 without a body.

Kiban will return the step by step data for the specific workfloo id, to see examples please review the RESPONSE examples:


Form fields in response

Workfloo will return the fields of a form with the following structure, with this structure you will be able to obtain the values ​​in case you use the Variables connector in your workfloo definition

{
  "id": "1717788033357699",
  "name": "formulario 01",
  "created": "2024-06-07T13:20:33.357-06:00",
  "modified": "2024-06-07T13:20:33.357-06:00",
  "type": "FORM",
  "form": {
    "fields": {
      "address": "TESTTWO SA  DE CV",
      "first_name": "Edgar",
      "last_name_1": "ROSAS",
      "last_name_2": "AMBRIZ",
      "postal_code": "06500",
      "rfc_pf": "XAXX730101C54",
      "second_name": "Usario"
    }
  },
  "detail": {
    "createdBy": "Edgar Release",
    "origin": "KIBAN_CLOUD",
    "status": "SUCCESS",
    "errorMessage": "",
    "httpCode": 0,
    "responseTime": 0
  }
}
Path Params
string
required

Id of the executed workfloo

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json